javax.batch.api.chunk.listener

## Interface RetryProcessListener

    public interface RetryProcessListener

RetryProcessListener intercepts retry processing for an ItemProcessor.

### Method Summary

Methods
`void` `onRetryProcessException(Object item, Exception ex)` The onRetryProcessException method receives control when a retryable exception is thrown from an ItemProcessor processItem method.

### Method Detail

#### onRetryProcessException

    void onRetryProcessException(Object item,
                               Exception ex)
                                 throws Exception

The onRetryProcessException method receives control when a retryable exception is thrown from an ItemProcessor processItem method. This method receives the exception and the item being processed as inputs. This method receives control in same checkpoint scope as the ItemProcessor. If this method throws a an exception, the job ends in the FAILED state.

Parameters:
  `item` - specifies the item passed to the ItemProcessor.
  `ex` - specifies the exception thrown by the ItemProcessor.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0